/*
 * (C)(P)2003 Mart Karu, TPU, <karu@metal.ee>
 *
 * User: karu
 * Date: Apr 22, 2003
 * Time: 10:11:51 PM
 */

import javax.sound.sampled.*;

public class PlayerThread extends Thread
{
	private final byte[] soundiBitid;
	private boolean isRunning = false;
	private AudioFormat formaat = null;

	public PlayerThread( byte[] soundBytes, AudioFormat formaat )
	{
		this.soundiBitid = soundBytes;
		this.formaat = formaat;
		isRunning = true;

	}

	public void run()
	{
		isRunning = true;
		SourceDataLine line = null;
		try
		{
			line = ( SourceDataLine ) AudioSystem.getLine(
					new DataLine.Info( SourceDataLine.class, formaat, AudioSystem.NOT_SPECIFIED )
			);
			line.open();
			line.start();
			int i = 0;
			byte[] sisse = new byte[1];
			while ( isRunning && ( i < soundiBitid.length ) )
			{
				sisse[0] = soundiBitid[i];
				line.write( sisse, 0, 1 );
				i++;
			}
			line.drain();
		}
		catch ( LineUnavailableException e )
		{
			e.printStackTrace();
		}

	}

	public void stopThread()
	{
		isRunning = false;
	}


}
